geos::operation::linemerge::LineMergeEdge Class Reference

An edge of a LineMergeGraph. The `marked` field indicates whether this Edge has been logically deleted from the graph. More...

`#include <LineMergeEdge.h>`

Inheritance diagram for geos::operation::linemerge::LineMergeEdge:

## Public Member Functions

| LineMergeEdge (const geom::LineString *newLine)
const geom::LineString * | getLine () const
Public Member Functions inherited from geos::planargraph::Edge
| Edge ()
| Constructs a Edge whose DirectedEdges are not yet set.
| Edge (DirectedEdge *de0, DirectedEdge *de1)
| Constructs an Edge initialized with the given DirectedEdges.
void | setDirectedEdges (DirectedEdge *de0, DirectedEdge *de1)
| Initializes this Edge's two DirectedEdges.
DirectedEdge * | getDirEdge (int i)
| Returns one of the DirectedEdges associated with this Edge.
DirectedEdge * | getDirEdge (Node *fromNode)
| Returns the DirectedEdge that starts from the given node, or null if the node is not one of the two nodes associated with this Edge.
Node * | getOppositeNode (Node *node)
| If `node` is one of the two nodes associated with this Edge, returns the other node; otherwise returns null.
Public Member Functions inherited from geos::planargraph::GraphComponent
virtual bool | isVisited () const
| Tests if a component has been visited during the course of a graph algorithm.
virtual void | setVisited (bool p_isVisited)
| Sets the visited flag for this component.
virtual bool | isMarked () const
| Tests if a component has been marked at some point during the processing involving this graph.
virtual void | setMarked (bool p_isMarked)
| Sets the marked flag for this component.

## Additional Inherited Members

Public Types inherited from geos::planargraph::Edge
typedef std::set< const Edge * > | ConstSet
| Set of const Edges pointers.
typedef std::set< Edge * > | NonConstSet
| Set of non-const Edges pointers.
typedef std::vector< Edge * > | NonConstVect
| Vector of non-const Edges pointers.
typedef std::vector< const Edge * > | ConstVect
| Vector of const Edges pointers.
Static Public Member Functions inherited from geos::planargraph::GraphComponent
template<typename T>
static void | setVisited (T start, T end, bool visited)
| Sets the Visited state for the elements of a container, from start to end iterator.
template<typename T>
static void | setVisitedMap (T start, T end, bool visited)
| Sets the Visited state for the values of each map container element, from start to end iterator.
template<typename T>
static void | setMarked (T start, T end, bool marked)
| Sets the Marked state for the elements of a container, from start to end iterator.
template<typename T>
static void | setMarkedMap (T start, T end, bool marked)
| Sets the Marked state for the values of each map container element, from start to end iterator.
Protected Attributes inherited from geos::planargraph::Edge
std::vector< DirectedEdge * > | dirEdge
| The two DirectedEdges associated with this Edge.
Protected Attributes inherited from geos::planargraph::GraphComponent
bool | isMarkedVar
| Variable holding ''marked'' status.
bool | isVisitedVar
| Variable holding ''visited'' status.

## Detailed Description

An edge of a LineMergeGraph. The `marked` field indicates whether this Edge has been logically deleted from the graph.

## Constructor & Destructor Documentation

## LineMergeEdge()

geos::operation::linemerge::LineMergeEdge::LineMergeEdge | ( | const geom::LineString * | newLine | ) |

Constructs a LineMergeEdge with vertices given by the specified LineString.

## Member Function Documentation

## getLine()

const geom::LineString * geos::operation::linemerge::LineMergeEdge::getLine | ( |  | ) | const

Returns the LineString specifying the vertices of this edge.

The documentation for this class was generated from the following file:

- LineMergeEdge.h